Bug 478597 - Xvfb, Xnest fail on reset
Xvfb, Xnest fail on reset
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-01 15:25 EST by Matthias Clasen
Modified: 2010-08-30 15:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 15:36:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-01-01 15:25:06 EST
I can't run the GTK+ test suite on Fedora. It uses Xvfb, and when the last client disconnect, I get:

Fatal server error:
could not open default font 'fixed'


The same happens with Xnest. I haven't checked with Xorg. I can work around with -noreset for now.
Comment 1 Adam Jackson 2009-02-08 03:05:28 EST
Unable to reproduce with xorg-x11-server-Xvfb-1.5.99.902-3.fc11.x86_64 . Possibly fixed as far back as 1.5.99.901-4.  Can you still repro this?
Comment 2 Matthias Clasen 2009-02-08 19:26:43 EST
Sorry, still see it with xorg-x11-server-Xvfb-1.5.99.902-4.fc11.i386
Comment 3 Bug Zapper 2009-11-18 05:37:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-03-15 08:22:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Adam Jackson 2010-08-30 15:36:36 EDT
Okay, edited the gtk2 makefiles to not call Xvfb with -noreset, and ran 'make check', and didn't see any failures.

gtk2-2.20.1-1.fc13
xorg-x11-server-Xvfb-1.8.2-3.fc13.x86_64

So this should be fixed now?  Let me know if I did something wrong.

Note You need to log in before you can comment on or make changes to this bug.